package com.desfate.chart.data;

import java.util.ArrayList;
import java.util.List;

public class ChartKDJDatas {
    private List<Double> rsv = null;

    private List<Double> k = null;
    private List<Double> d = null;
    private List<Double> j = null;

    public List<Double> getK() {
        if (k == null) {
            k = new ArrayList<Double>();
        }
        return k;
    }

    public void setK(List<Double> k) {
        this.k = k;
    }

    public List<Double> getD() {
        if (d == null) {
            d = new ArrayList<Double>();
        }
        return d;
    }

    public void setD(List<Double> d) {
        this.d = d;
    }

    public List<Double> getJ() {
        if (j == null) {
            j = new ArrayList<Double>();
        }
        return j;
    }

    public void setJ(List<Double> j) {
        this.j = j;
    }

    public List<Double> getRsv() {
        if (rsv == null) {
            rsv = new ArrayList<Double>();
        }
        return rsv;
    }

    public void setRsv(List<Double> rsv) {
        this.rsv = rsv;
    }
}
